#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtCore/QHash>
#include <QtGui/QMainWindow>
#include <QtDBus/QDBusConnection>
#include "hal-man.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    QDBusConnection connection;
    QHash<QString, QWidget*> devices;
    org::freedesktop::Hal::Manager manager;
    QString GetStringProperty(const QString & udi, const QString & property);
    int GetIntProperty(const QString & udi, const QString & property);
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
public slots:
    void DeviceAdded(const QString & device);
    void DeviceRemoved(const QString & device);
};

#endif // MAINWINDOW_H
